# Saqr TV Platform

Welcome to the Saqr TV Platform! This package contains everything you need to set up your own media content management system similar to "Al Ostora TV" or "TeraTV."

## What's Included

This package includes:

1. **Backend Server and Web Application**
   - Admin panel for content management
   - API for mobile app integration
   - Database for content storage

2. **Saqr TV Mobile Application**
   - User-friendly interface for browsing content
   - Support for movies, series, live channels, and sports matches
   - Integration with Saqr Player for video playback

3. **Saqr Player Application**
   - Dedicated video player for all content types
   - AdMob integration for monetization
   - Deep linking support from Saqr TV app

## For Non-Technical Users

If you don't have programming experience, don't worry! We've included easy-to-follow installation scripts and guides to help you set up the platform:

1. Start by reading the `setup-guide.md` file for step-by-step instructions
2. Use the included installation scripts to simplify the setup process:
   - For the backend: `install-backend.sh` (Mac/Linux) or `install-backend.bat` (Windows)
   - For the mobile app: `install-mobile-app.sh` (Mac/Linux) or `install-mobile-app.bat` (Windows)
   - For the player: `install-player.sh` (Mac/Linux) or `install-player.bat` (Windows)

## System Requirements

- Node.js version 16 or higher
- PostgreSQL database
- Android or iOS device for mobile app testing

## Getting Started

1. Extract all files from this zip package
2. Follow the instructions in `setup-guide.md`
3. Start with setting up the backend server first
4. Then set up the mobile app and player app

## Administrative Access

After setting up the backend and starting the server:

1. Visit http://localhost:3000 in your web browser
2. Click on "Admin Login"
3. Use the default credentials:
   - Username: admin
   - Password: password123
4. Change the default password in the Settings section

## Features

- **Content Management**:
  - Movies, TV series, live channels, and sports matches
  - Categories and subcategories for organization
  - Image upload for thumbnails and posters
  - Video link extraction from external websites

- **Mobile App**:
  - User-friendly interface
  - Content browsing by category
  - Search functionality
  - Favorites list
  - User profiles

- **Saqr Player**:
  - Support for multiple video formats (MP4, M3U8, MKV)
  - AdMob integration for revenue generation
  - Picture-in-picture mode
  - Playback controls

## Support

If you need assistance with setup or have questions, please refer to the detailed documentation in each component's README file.

For more information or customization services, contact support@saqrtv.com.