import { cn } from "@/lib/utils";
import { contentTypes, ContentType, statusTypes, Status } from "@/lib/content-types";

interface ContentTypeBadgeProps {
  type: ContentType;
  className?: string;
}

export function ContentTypeBadge({ type, className }: ContentTypeBadgeProps) {
  const typeInfo = contentTypes[type] || contentTypes.movie;
  
  return (
    <span className={cn(
      "px-2 inline-flex text-xs leading-5 font-semibold rounded-full",
      typeInfo.badgeColor,
      className
    )}>
      {typeInfo.name}
    </span>
  );
}

interface StatusBadgeProps {
  status: Status;
  className?: string;
}

export function StatusBadge({ status, className }: StatusBadgeProps) {
  const statusInfo = statusTypes[status] || statusTypes.active;
  
  return (
    <span className={cn(
      "px-2 inline-flex text-xs leading-5 font-semibold rounded-full",
      statusInfo.badgeColor,
      className
    )}>
      {statusInfo.name}
    </span>
  );
}
