import React from "react";
import { PublicLayout } from "@/components/public-layout";
import { Accordion, AccordionContent, AccordionItem, AccordionTrigger } from "@/components/ui/accordion";
import { Card, CardContent, CardHeader, CardTitle } from "@/components/ui/card";

export default function FAQPage() {
  return (
    <PublicLayout title="الأسئلة الشائعة">
      <div className="container max-w-4xl mx-auto py-8 px-4 md:px-6">
        <Card>
          <CardHeader>
            <CardTitle className="text-2xl text-center mb-4">الأسئلة الشائعة</CardTitle>
          </CardHeader>
          <CardContent className="text-right">
            <Accordion type="single" collapsible className="space-y-4">
              <AccordionItem value="item-1">
                <AccordionTrigger className="text-right">ما هو صقر تي في؟</AccordionTrigger>
                <AccordionContent className="text-right">
                  صقر تي في هي منصة بث تتيح لك مشاهدة الأفلام والمسلسلات والقنوات التلفزيونية والمباريات الرياضية المباشرة على جهازك. تقدم المنصة محتوى متنوع ومحدث باستمرار لتلبية احتياجات المشاهدين.
                </AccordionContent>
              </AccordionItem>
              
              <AccordionItem value="item-2">
                <AccordionTrigger className="text-right">كيف يمكنني تحميل تطبيق صقر تي في؟</AccordionTrigger>
                <AccordionContent className="text-right">
                  يمكنك تحميل تطبيق صقر تي في من خلال زيارة صفحتنا الرئيسية والنقر على زر "تحميل التطبيق". التطبيق متاح حاليًا لأجهزة أندرويد.
                </AccordionContent>
              </AccordionItem>
              
              <AccordionItem value="item-3">
                <AccordionTrigger className="text-right">هل أحتاج إلى إنشاء حساب لاستخدام صقر تي في؟</AccordionTrigger>
                <AccordionContent className="text-right">
                  لا، لا تحتاج إلى إنشاء حساب لاستخدام خدمات صقر تي في. يمكنك تحميل التطبيق واستخدامه مباشرة للوصول إلى كافة المحتويات المتاحة.
                </AccordionContent>
              </AccordionItem>
              
              <AccordionItem value="item-4">
                <AccordionTrigger className="text-right">ما هي أنواع المحتوى المتوفرة على صقر تي في؟</AccordionTrigger>
                <AccordionContent className="text-right">
                  يوفر صقر تي في مجموعة متنوعة من المحتويات بما في ذلك:
                  <ul className="list-disc list-inside mt-2 space-y-1">
                    <li>الأفلام العربية والأجنبية</li>
                    <li>المسلسلات بمختلف حلقاتها ومواسمها</li>
                    <li>القنوات التلفزيونية المباشرة</li>
                    <li>المباريات الرياضية والبطولات المباشرة</li>
                  </ul>
                </AccordionContent>
              </AccordionItem>
              
              <AccordionItem value="item-5">
                <AccordionTrigger className="text-right">كيف يمكنني الإبلاغ عن مشكلة في التطبيق؟</AccordionTrigger>
                <AccordionContent className="text-right">
                  يمكنك الإبلاغ عن أي مشكلة تواجهها في التطبيق من خلال زيارة صفحة "اتصل بنا" وملء النموذج المخصص للإبلاغ عن المشكلات. سيقوم فريق الدعم الفني بالرد على استفسارك في أقرب وقت ممكن.
                </AccordionContent>
              </AccordionItem>
              
              <AccordionItem value="item-6">
                <AccordionTrigger className="text-right">هل خدمة صقر تي في مجانية؟</AccordionTrigger>
                <AccordionContent className="text-right">
                  نعم، خدمة صقر تي في مجانية بالكامل. ومع ذلك، قد تظهر بعض الإعلانات أثناء استخدام التطبيق لدعم استمرارية الخدمة وتحسينها.
                </AccordionContent>
              </AccordionItem>
              
              <AccordionItem value="item-7">
                <AccordionTrigger className="text-right">ما هي متطلبات النظام لتشغيل تطبيق صقر تي في؟</AccordionTrigger>
                <AccordionContent className="text-right">
                  يتطلب تطبيق صقر تي في:
                  <ul className="list-disc list-inside mt-2 space-y-1">
                    <li>نظام أندرويد 5.0 أو أحدث</li>
                    <li>اتصال إنترنت مستقر</li>
                    <li>مساحة تخزين 30 ميجابايت على الأقل</li>
                  </ul>
                </AccordionContent>
              </AccordionItem>
              
              <AccordionItem value="item-8">
                <AccordionTrigger className="text-right">كيف يمكنني البقاء على اطلاع بأحدث المحتويات؟</AccordionTrigger>
                <AccordionContent className="text-right">
                  يوفر تطبيق صقر تي في نظام إشعارات يخبرك بأحدث المحتويات التي تمت إضافتها. يمكنك أيضًا متابعة صفحاتنا على وسائل التواصل الاجتماعي للبقاء على اطلاع بأحدث التحديثات والإضافات.
                </AccordionContent>
              </AccordionItem>
            </Accordion>
          </CardContent>
        </Card>
      </div>
    </PublicLayout>
  );
}