import { ArrowLeft } from "lucide-react";
import { Link } from "wouter";
import { Button } from "@/components/ui/button";

export default function TermsPage() {
  return (
    <div className="min-h-screen bg-gray-50 py-8 dir-rtl">
      <div className="container mx-auto px-4 max-w-4xl">
        <div className="flex mb-8">
          <Button variant="ghost" asChild className="gap-2">
            <Link href="/">
              <ArrowLeft className="h-4 w-4" />
              <span>العودة إلى الصفحة الرئيسية</span>
            </Link>
          </Button>
        </div>
        
        <div className="bg-white p-8 rounded-lg shadow-sm">
          <h1 className="text-3xl font-bold mb-6 text-center">شروط الاستخدام</h1>
          
          <div className="prose prose-lg max-w-none">
            <p className="mb-4">
              مرحباً بك في تطبيق صقر تي في. من خلال استخدام تطبيقنا، فإنك توافق على الالتزام بهذه الشروط والأحكام. يرجى قراءتها بعناية.
            </p>
            
            <h2 className="text-xl font-semibold mt-6 mb-3">استخدام التطبيق</h2>
            <p className="mb-4">
              صقر تي في هو تطبيق لمشاهدة المحتوى الترفيهي. يمكنك استخدام التطبيق للأغراض الشخصية غير التجارية فقط. أنت توافق على عدم استخدام التطبيق لأي غرض غير قانوني أو محظور بموجب هذه الشروط.
            </p>
            
            <h2 className="text-xl font-semibold mt-6 mb-3">المحتوى</h2>
            <p className="mb-4">
              يقدم تطبيقنا محتوى من مصادر مختلفة. نحن لا نملك هذا المحتوى ولا نتحكم فيه. المحتوى المقدم في التطبيق هو مسؤولية المصادر الأصلية. نحن نقوم فقط بتجميع وعرض هذا المحتوى بطريقة منظمة.
            </p>
            
            <h2 className="text-xl font-semibold mt-6 mb-3">حقوق الملكية الفكرية</h2>
            <p className="mb-4">
              التطبيق وجميع المواد والمحتويات (باستثناء المحتوى الذي تقدمه الجهات الخارجية) هي ملك لنا أو مرخصة لنا. يجب عليك عدم تعديل أو نسخ أو توزيع أو نقل أو عرض أو تنفيذ أو إعادة إنتاج أو نشر أو ترخيص أو إنشاء أعمال مشتقة من أو نقل أو بيع أي معلومات تم الحصول عليها من التطبيق.
            </p>
            
            <h2 className="text-xl font-semibold mt-6 mb-3">الإعلانات</h2>
            <p className="mb-4">
              يحتوي التطبيق على إعلانات تقدمها خدمة Google AdMob. هذه الإعلانات ضرورية لدعم التطبيق والحفاظ على تشغيله. باستخدام التطبيق، فإنك توافق على رؤية هذه الإعلانات.
            </p>
            
            <h2 className="text-xl font-semibold mt-6 mb-3">إخلاء المسؤولية</h2>
            <p className="mb-4">
              يتم توفير التطبيق "كما هو" وبدون أي ضمان من أي نوع، سواء كان صريحًا أو ضمنيًا. نحن لا نضمن أن التطبيق سيكون آمنًا أو خاليًا من الأخطاء أو أن الوصول سيكون مستمرًا أو غير منقطع.
            </p>
            
            <h2 className="text-xl font-semibold mt-6 mb-3">تحديد المسؤولية</h2>
            <p className="mb-4">
              لن نكون مسؤولين عن أي ضرر مباشر أو غير مباشر أو عرضي أو خاص أو تبعي يتعلق باستخدام التطبيق.
            </p>
            
            <h2 className="text-xl font-semibold mt-6 mb-3">التغييرات في الشروط</h2>
            <p className="mb-4">
              نحتفظ بالحق في تعديل هذه الشروط في أي وقت. سيتم نشر التغييرات على هذه الصفحة. استمرارك في استخدام التطبيق بعد إجراء التغييرات يشكل قبولك للشروط المعدلة.
            </p>
            
            <h2 className="text-xl font-semibold mt-6 mb-3">القانون المعمول به</h2>
            <p className="mb-4">
              تخضع هذه الشروط وتفسر وفقًا لقوانين البلد الذي يتم تشغيل التطبيق فيه، دون اعتبار لمبادئ تنازع القوانين.
            </p>
            
            <h2 className="text-xl font-semibold mt-6 mb-3">اتصل بنا</h2>
            <p className="mb-4">
              إذا كان لديك أي أسئلة حول هذه الشروط، يرجى الاتصال بنا على: support@saqrtv.com
            </p>
            
            <p className="mt-8 text-sm text-gray-600">
              آخر تحديث: {new Date().toLocaleDateString('ar-SA', { year: 'numeric', month: 'long', day: 'numeric' })}
            </p>
          </div>
        </div>
      </div>
    </div>
  );
}