import { cn } from "@/lib/utils";

interface StatsCardProps {
  title: string;
  value: number | string;
  icon: string;
  iconBgColor: string;
  iconColor: string;
  className?: string;
}

export function StatsCard({
  title,
  value,
  icon,
  iconBgColor,
  iconColor,
  className
}: StatsCardProps) {
  return (
    <div className={cn("card-stat bg-white rounded-lg shadow-sm p-6 flex items-center transition-all hover:transform hover:-translate-y-1 hover:shadow-md", className)}>
      <div className={cn("rounded-full p-3 mr-4", iconBgColor)}>
        <i className={cn(`fas fa-${icon} text-xl`, iconColor)}></i>
      </div>
      <div>
        <h3 className="text-sm font-medium text-gray-500">{title}</h3>
        <p className="text-2xl font-bold text-gray-800">{value}</p>
      </div>
    </div>
  );
}
