@echo off
echo === Saqr TV Backend Installation ===
echo This script will install the Saqr TV backend server and web application.
echo.

rem Check if Node.js is installed
where node >nul 2>nul
if %ERRORLEVEL% NEQ 0 (
    echo ERROR: Node.js is not installed.
    echo Please install Node.js version 16 or higher from https://nodejs.org/
    exit /b 1
)

rem Install dependencies
echo Installing dependencies... This may take a few minutes.
call npm install

rem Create .env file if it doesn't exist
if not exist .env (
    echo Creating .env file...
    echo DATABASE_URL=postgresql://username:password@localhost:5432/saqrtv > .env
    echo SESSION_SECRET=change_this_to_a_secure_random_string >> .env
    echo Created .env file. Please edit it with your database credentials.
    echo You can edit this file using any text editor like Notepad.
    echo.
)

echo Installation complete!
echo To start the backend server, run: npm run dev
echo.
echo Important: Before starting the server, make sure to:
echo 1. Edit the .env file with your database credentials
echo 2. Create the database and run: npm run db:push
echo.
echo For more details, see the README.md file.

pause