@echo off
echo === Saqr Player Installation ===
echo This script will install the Saqr Player application development environment.
echo.

rem Check if Node.js is installed
where node >nul 2>nul
if %ERRORLEVEL% NEQ 0 (
    echo ERROR: Node.js is not installed.
    echo Please install Node.js version 16 or higher from https://nodejs.org/
    exit /b 1
)

rem Install dependencies
echo Installing dependencies... This may take a few minutes.
call npm install

echo.
echo Installation complete!
echo To start the development server, run: npm start
echo.
echo Important:
echo 1. Install the Expo Go app on your mobile device
echo 2. Scan the QR code that appears when you run 'npm start'
echo.
echo To build the production application:
echo 1. Create an account at expo.dev
echo 2. Install EAS CLI: npm install -g eas-cli
echo 3. Login to EAS: eas login
echo 4. Configure the build: eas build:configure
echo 5. Build for Android: eas build -p android
echo.
echo For more details, see the README.md file.

pause