#!/bin/bash

# Script to package the Saqr Player application

echo "📦 Packaging Saqr Player..."

# Ensure the script exits if any command fails
set -e

# Create build directory if it doesn't exist
mkdir -p ../deployment/

# Install dependencies if needed
if [ ! -d "node_modules" ]; then
  echo "📥 Installing dependencies..."
  npm install
fi

# Build for production
echo "🔨 Building Saqr Player for production..."
npm run build

# Create archive in the deployment directory
echo "🗜️ Creating archive..."
zip -r ../deployment/saqr-player.zip ./ -x "node_modules/*" -x ".git/*" -x ".expo/*" -x "*.zip"

echo "✅ Saqr Player packaged successfully! The archive is available at: ../deployment/saqr-player.zip"