import React from 'react';
import { 
  StyleSheet, 
  TouchableOpacity, 
  Text 
} from 'react-native';

interface CategoryPillProps {
  category: any;
  onPress: () => void;
}

const CategoryPill = ({ category, onPress }: CategoryPillProps) => {
  return (
    <TouchableOpacity style={styles.pill} onPress={onPress}>
      <Text style={styles.text}>{category.name}</Text>
    </TouchableOpacity>
  );
};

const styles = StyleSheet.create({
  pill: {
    backgroundColor: '#333',
    paddingVertical: 8,
    paddingHorizontal: 16,
    borderRadius: 20,
    marginRight: 10,
    marginBottom: 10,
  },
  text: {
    color: 'white',
    fontSize: 14,
    fontWeight: '500',
  },
});

export default CategoryPill;